#!/usr/bin/env python3

"""APIClient.py: Wrapper for trust-based domain classifiers"""
__author__      = "Radek Hranicky"

import os
import shutil
import json
import sys

from Core import Classifier

class ClassifierWrapper:
    def __init__(self):
        """
        ! Initializes the classifier wrapper class
        @param path Path to the domain_evaluation app
        """
        pass


    def classify_domain(self, domain):
        # load classifier module
        cls = Classifier()

        domain_data = cls.get_mixed(domain, True)

        return domain_data
